<?php

namespace FiloBlu\ExtAmastyGeoipRedirect\Block\Adminhtml;

/**
 * Abstract items renderer
 * @SuppressWarnings(PHPMD.CouplingBetweenObjects)
 */
class Log extends \Magento\Backend\Block\Template {

    protected $directory_list;

    public function __construct(
    \Magento\Backend\Block\Template\Context $context, array $data = [], \Magento\Framework\App\Filesystem\DirectoryList $directory_list
    ) {
        $this->directory_list = $directory_list;
        parent::__construct($context, $data);
    }

    public function getLog() {
        $logFile = array();

        $handle = fopen($this->directory_list->getPath('log') . DIRECTORY_SEPARATOR . "geoip.log", "r");
        if ($handle) {
            while (($line = fgets($handle)) !== false) {
                // process the line read.
                array_push($logFile, $line . '</br>');
            }

            fclose($handle);
        } else {
            // error opening the file.
        }

        $lines = "";

        $maxLines = 0;
        
        for ($i = count($logFile) -1; $i >= 0; $i--) {
            $maxLines++;
            if ($maxLines > 200) {
                break;
            }
            $lines .= $logFile[$i];
            
        }

        return $lines;
    }

}
